PHP Warning: include_once(Zend\\Registry.php): failed to open stream: No such file or directory in C:\\Program Files (x86)\\Parallels\\Plesk\\admin\\plib\\Loader.php on line 97

Created:

2016-11-16 12:57:57 UTC

Modified:

2017-04-12 18:06:05 UTC

0

Was this article helpful?


Have more questions?

Submit a request

PHP Warning: include_once(Zend\\Registry.php): failed to open stream: No such file or directory in C:\\Program Files (x86)\\Parallels\\Plesk\\admin\\plib\\Loader.php on line 97

Symptoms

Unable to get access to the Plesk. The following error could be found in %plesk_dir%\\admin\\php_error.log :

[2014-09-13 13:19:55] PHP Warning:  include_once(Zend\\Registry.php): failed to open stream: No such file or directory in C:\\Program Files (x86)\\Parallels\\Plesk\\admin\\plib\\Loader.php on line 97
[2014-09-13 13:19:55] PHP Warning: include_once(): Failed opening 'Zend\\Registry.php' for inclusion (include_path='C:\\Program Files (x86)\\Parallels\\Plesk\\admin\\plib;C:\\Program Files (x86)\\Parallels\\Plesk\\admin\\smb\\application\\library;C:\\Program Files (x86)\\Parallels\\Plesk\\admin\\plib\\api-rpc;C:\\Program Files (x86)\\Parallels\\Plesk\\admin\\javascripts;C:\\Program Files (x86)\\Parallels\\Plesk\\admin\\plib\\locale;C:\\Program Files (x86)\\Parallels\\Plesk\\admin\\auto_prepend;C:\\Program Files (x86)\\Parallels\\Plesk\\admin\\htdocs\\domains\\databases\\phpMyAdmin;C:\\Program Files (x86)\\Parallels\\Plesk\\admin\\plib\\pear;C:\\Program Files (x86)\\Parallels\\Plesk\\admin\\compat') in C:\\Program Files (x86)\\Parallels\\Plesk\\admin\\plib\\Loader.php on line 97
[2014-09-13 13:19:55] PHP Fatal error: Class 'Zend_Registry' not found in C:\\Program Files (x86)\\Parallels\\Plesk\\admin\\plib\\auth.php on line 192

Cause

Incorrect upgrade procedure. Not all Plesk 12 packages have been installed properly.

Resolution

Make sure that Zend and other installed packages packages have correct version. For Plesk 12 version should be like 12.0.xxxx

  1. Check the following registry key: [HKEY_LOCAL_MACHINE\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Installer\\UserData\\S-1-5-18\\Products\\7A339874478BECB459B355311A62FD99]

  2. If you see that version of package is not correct. For example, DisplayVersion key has value 11.5.xxxx . Reinstall it using msiexec utility:

2.1 Check ParallelsInstaller folder for corresponding package. By the default it is located here: C:\\ParallelsInstaller\\parallels\\PANEL-WIN_12.0.18\\dist-msi-Microsoft-2003-i386

2.2 If this package is missing, download it from Plesk repository: http://autoinstall-win.pp.parallels.com/

2.3 Remove outdated plesk-zend.msi package:

    MsiExec.exe /X{478933A7-B874-4BCE-953B-5513A126DF99}

2.4 Install actual package:

    C:\\Program Files (x86)\\Parallels\\Plesk\\admin\\bin>msiexec /fvocmus "C:\\ParallelsInstaller\\parallels\\PANEL-WIN_12.0.18\\dist-msi-Microsoft-2003
-i386\\plesk-zend.msi" AUTOINSTALLER=true /L*v C:\\msi_log.txt
Have more questions? Submit a request
Please sign in to leave a comment.